{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        {% block title %}{% endblock title %}
    </title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
<body>
   {% block content %}
       <header>
        <nav>
            <a class="main_link" href="{%url 'list_recipes' %}">Main page</a>
            <a class="create_link" href="{%url 'create_recipes' %}">Create a recipe</a>
        </nav>
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>
        <div class="food_list">
            {% for recipe in recipe_list %}
            <div>
                <h3>
                    <a class="food_link" href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                    <p>{{ recipe.created_on|date:"N j Y"}}</p>
                </h3>
                <img src="{{ recipe.picture }}" alt="A plate of vegetarian tacos" class="image-taco">
                <div>4.3 stars</div>
            </div>
            {% empty %}
            <p>There are no recipes</p>
            {% endfor %}
        </div>
    </main>
   {% endblock content %}
    <footer>
        Made with love by Scrumptious Recipes
    </footer>
</body>
</html>